clear();

pa=1.2929002
pb=5.6333807
pc=3069.5433

u_begrenzt_aktuell = 0;  //global, wird in modell und simulation benötigt.

exec einachsermodell.sce;
exec ruku.sce;

//Rauschen:
MITTELWERT = 0.0;
STREUUNG   = 0.001;

exec simulation.sce
exec fehlerfunktion.sce
exec optimierer.sce

x0=[50000.0;200.0;200.0];

xopt = meinoptimierer(berechneFehler,x0,x0.*0.01, x0.*100.0);

RR = [xopt(1),xopt(2),xopt(3)];
//Ergebnis: RR = [50000.    201.93187    200.42876];
//Testsimulationen durchführen:

y0=[0.2;0;0];
t=0:dt:15.0;

y=simulation(xopt,y0,t);

plot(t,y(1,:));

a = gca();
a.x_label.text = 't/s';
a.y_label.text = 'phi/rad';
a.title.text = 'Zustandsregler ohne Integral von phi als Zusatzzustand';
hl=legend(['phi/rad'],a=1);

